precision highp float;
uniform sampler2D inputImageTexture;
uniform float mRaduis;
uniform float minRaduis;
uniform float maxRaduis;
uniform float centerX;
uniform float centerY;
uniform float screenHeight;
uniform float translationY;

const int GAUSSIAN_SAMPLES = 9;
varying highp vec2 textureCoordinate;
varying highp vec2 blurCoordinates[GAUSSIAN_SAMPLES];
varying float varyBlurFlag;

    void main()
    {
    	vec3 sum = vec3(0.0);
        vec4 fragColor=texture2D(inputImageTexture,textureCoordinate);
        if(varyBlurFlag > 0.0){
            if(gl_FragCoord.y > translationY){
	            gl_FragColor = fragColor;
	        }else{
	            sum += texture2D(inputImageTexture, blurCoordinates[0]).rgb * 0.05;
	            sum += texture2D(inputImageTexture, blurCoordinates[1]).rgb * 0.09;
	            sum += texture2D(inputImageTexture, blurCoordinates[2]).rgb * 0.12;
	            sum += texture2D(inputImageTexture, blurCoordinates[3]).rgb * 0.15;
	            sum += texture2D(inputImageTexture, blurCoordinates[4]).rgb * 0.18;
	            sum += texture2D(inputImageTexture, blurCoordinates[5]).rgb * 0.15;
	            sum += texture2D(inputImageTexture, blurCoordinates[6]).rgb * 0.12;
	            sum += texture2D(inputImageTexture, blurCoordinates[7]).rgb * 0.09;
	            sum += texture2D(inputImageTexture, blurCoordinates[8]).rgb * 0.05;
	    	    gl_FragColor = vec4(sum,fragColor.a);
	        }
        }else if(varyBlurFlag == 0.0){
        	/*
	        	if(gl_FragCoord.y <= translationY){
		            discard;
		        }else{
		        	float tempRendHeight = screenHeight / 3.0;
		        	if(gl_FragCoord.y <= translationY + tempRendHeight){
			        	float ratio = 0.35 + (gl_FragCoord.y - translationY)/(tempRendHeight * 3.0);
			        	gl_FragColor = vec4(fragColor.rgb,fragColor.a*ratio);
		        	}else{
			        	gl_FragColor = fragColor;
			        }
		        }
        	*/
        	if(gl_FragCoord.y <= translationY){
		            discard;
	        }else{
	        	gl_FragColor = fragColor;
	        }
        }else if(varyBlurFlag == -1.0){
        	//gl_FragColor = fragColor;
        }else if(varyBlurFlag == -2.0){
        	discard;
        }else if(varyBlurFlag == -3.0){
        	if(gl_FragCoord.y <= translationY){
            	gl_FragColor = fragColor;
	        }else{
	        	discard;
	        }
        }else{
	        float distance = sqrt((gl_FragCoord.x - centerX)*(gl_FragCoord.x - centerX) + (screenHeight - gl_FragCoord.y - centerY)*(screenHeight - gl_FragCoord.y - centerY));
	        float tempLength = (mRaduis - minRaduis)*0.15;
	        float tempLength1 = (mRaduis - minRaduis)*1.0;
		    float tempRaduis = max(minRaduis, mRaduis - tempLength);
		    float tempRaduis1 = max(minRaduis, mRaduis - tempLength1);
		    float tempMaxRaduis = (maxRaduis - 100.0);
		    if(mRaduis < tempMaxRaduis){
		        if(distance < mRaduis){
		            if(distance > tempRaduis1 && distance <= tempRaduis){
		                float temp = 0.85*(1.0 - (mRaduis - tempLength - distance)/(tempLength1 - tempLength));
			        	gl_FragColor = temp*fragColor;
		            }
		            else if(distance > tempRaduis){
			        	float temp = 0.85 + 0.15*(1.0 - (mRaduis - distance)/tempLength);
			        	gl_FragColor = temp*fragColor;
			    	}else{
			        	discard;
			    	}
		        }else{
				    /*if(mRaduis >= tempMaxRaduis){
				        float temp1 = 1.0 - (mRaduis - tempMaxRaduis)/tempLength;
				        gl_FragColor = temp1*fragColor;
				    }else{
				        gl_FragColor = fragColor;
				    }*/
				    gl_FragColor = fragColor;
		        }
		    }else{
		        if(distance <= tempMaxRaduis){
		            if(distance > tempRaduis1 && distance <= tempRaduis){
		                float temp = 0.85*(1.0 - (mRaduis - tempLength - distance)/(tempLength1 - tempLength));
			        	gl_FragColor = temp*fragColor;
		            }
		            else if(distance > tempRaduis){
			        	float temp = 0.85 + 0.15*(1.0 - (mRaduis - distance)/tempLength);
			        	gl_FragColor = temp*fragColor;
			    	}else{
			        	discard;
			    	}
		        }else{
				    if(mRaduis > tempMaxRaduis){
					    if(tempMaxRaduis > tempRaduis1 && tempMaxRaduis <= tempRaduis){
			                float temp = 0.85*(1.0 - (mRaduis - tempLength - tempMaxRaduis)/(tempLength1 - tempLength));
				        	gl_FragColor = temp*fragColor;
			            }
			            else if(tempMaxRaduis > tempRaduis){
				        	float temp = 0.85 + 0.15*(1.0 - (mRaduis - tempMaxRaduis)/tempLength);
				        	gl_FragColor = temp*fragColor;
				    	}else{
				        	discard;
				    	}
				    }else{
				        gl_FragColor = fragColor;
				    }
		        }
		    }
        }
    }